
#include "QMainFrame.h"

QMainFrame::QMainFrame(QWidget* parent)
	: QMainWindow(parent)
{
	ui.setupUi(this);

	init();
}

void QMainFrame::init()
{
	initData();
	initWidgets();
	initSignal();
}

void QMainFrame::initData()
{
	pStackedWidget = new QStackedWidget(this);
	pWidgetDataManagement = new QDataManagementWidget(pStackedWidget);
}

void QMainFrame::initWidgets()
{
	pStackedWidget->addWidget(pWidgetDataManagement);
	
	setCentralWidget(pStackedWidget);
}

void QMainFrame::initSignal()
{
}
